eID middleware |

# eIDMW::PTEID_Pins Class Reference

Container class for all pins on the card. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Pins:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_Pins ()
| Destructor.
PTEIDSDK_API unsigned long | count ()
| The number of pins on the card.
PTEIDSDK_API PTEID_Pin & | getPinByNumber (unsigned long ulIndex)
| Get the pin by its Index.
## Friends
PTEID_Pins & | PTEID_SmartCard::getPins ()
| For internal use : This method must access protected constructor.

## Detailed Description

Container class for all pins on the card.

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_Pins::~PTEID_Pins | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API unsigned long eIDMW::PTEID_Pins::count | ( |  | ) |

The number of pins on the card.

PTEIDSDK_API PTEID_Pin& eIDMW::PTEID_Pins::getPinByNumber | ( | unsigned long | ulIndex | ) |

Get the pin by its Index.

Throw PTEID_ExParamRange exception if the index is out of range.

## Friends And Related Function Documentation

PTEID_Pins& PTEID_SmartCard::getPins | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h